Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Namespaces | Enumerations | Functions
file_compression.hpp File Reference
`#include <iosfwd>`
Include dependency graph for file_compression.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::io
| Everything related to input and output of OSM data.

## Enumerations
enum class | osmium::io::file_compression { osmium::io::none = 0 , osmium::io::gzip = 1 , osmium::io::bzip2 = 2 }

## Functions
const char * | osmium::io::as_string (file_compression compression)
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::io::operator<< (std::basic_ostream< TChar, TTraits > &out, const file_compression compression)